program r;

uses
  SysUtils,
  Dialogs,
  Windows,
  Forms,
  FenetreForm in 'FenetreForm.pas' {Fenetre},
  Outils in 'Outils.pas',
  TestConfigForm in 'TestConfigForm.pas' {TestConfig},
  SplashForm in 'SplashForm.pas' {Splash};

type
  TGlobalExHandler  = class
  public
    procedure HandlerProc(Sender:TObject; E:Exception);
  end;

  procedure TGlobalExHandler.HandlerProc(Sender: TObject; E: Exception);
  begin
    MessageDlg(E.Message, mtInformation, [mbOK], 0);
  end;

var
  GlobalExHandler: TGlobalExHandler;

{$R *.RES}

begin
  GlobalExHandler:=TGlobalExHandler.Create;
  Application.OnException:=GlobalExHandler.HandlerProc;
  Application.Initialize;
  Splash:=TSplash.Create(application);
  Splash.Show;
  Splash.Update;
  try
    Application.CreateForm(TTestConfig, TestConfig);
  finally
    {}
  end;
  Application.Run;
end.
